stages:
    - publish

.node: &node
  image: andrewmackrodt/nodejs:14
  tags:
    - redshift

pages:
  <<: *node
  stage: publish
  script:
    - yarn
    - yarn generate
    - mv dist public
  artifacts:
    untracked: true
    paths:
      - public
  allow_failure: true
  when: manual
  only:
    - master
